# Interface SocketConstructorOpts

interface SocketConstructorOpts {
allowHalfOpen?: boolean;
fd?: number;
readable?: boolean;
signal?: AbortSignal;
writable?: boolean;
}

- Defined in node_modules/@types/node/net.d.ts:29

#####
Index

### Properties

allowHalfOpen?
fd?
readable?
signal?
writable?

## Properties

### `Optional` allowHalfOpen

allowHalfOpen?: boolean

- Defined in node_modules/@types/node/net.d.ts:31

### `Optional` fd

fd?: number

- Defined in node_modules/@types/node/net.d.ts:30

### `Optional` readable

readable?: boolean

- Defined in node_modules/@types/node/net.d.ts:32

### `Optional` signal

signal?: AbortSignal

- Defined in node_modules/@types/node/net.d.ts:34

### `Optional` writable

writable?: boolean

- Defined in node_modules/@types/node/net.d.ts:33